PHP Manual
Prev |  | Next

# finfo_open

(PECL)

finfo_open -- Create a new fileinfo resource

## Description

resource finfo_open ( [int options [, string arg]] )
class finfo {
__construct ( [int options [, string magic_file]] )
}

This function opens a magic database and returns its resource.

## Parameters

`options`

  One or disjunction of more Fileinfo constants.

`magic_file`

  Name of a magic database file, usually something like `/path/to/magic.mime`. If not specified, `MAGIC` environment variable is used. If this variable is not set neither, `/usr/share/misc/magic` is used. `.mime` and/or `.mgc` is added if appropriate.

## Return Values

Returns a magic database resource on success or `FALSE` on failure.

## See Also

finfo_close()

Prev | Home | Next
finfo_file | Up | finfo_set_flags